List Charging Records
curl --request GET \
--url https://api.traxes.io/connect/v1/entities/{entityId}/charge-sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxes.io/connect/v1/entities/{entityId}/charge-sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxes.io/connect/v1/entities/{entityId}/charge-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"charge": {
"averagePower": {
"unit": "<string>",
"value": 123
},
"end": {
"unit": "<string>",
"value": 123
},
"start": {
"unit": "<string>",
"value": 123
},
"total": {
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123,
"total": 123,
"unit": "<string>"
}
},
"end": "2023-11-07T05:31:56Z",
"location": {
"address": "<string>",
"latitude": 123,
"longitude": 123
},
"locationMatches": [
{
"accuracy": 123,
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
}
],
"range": {
"start": {
"unit": "<string>",
"value": 123
},
"end": {
"unit": "<string>",
"value": 123
}
},
"start": "2023-11-07T05:31:56Z"
},
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z"
}
],
"links": {
"next": "<string>"
},
"meta": {
"continuationToken": "<string>",
"pageSize": 123
}
}{
"errors": [
{
"code": "<string>",
"description": "<string>",
"message": "<string>"
}
]
}Charge Sessions API
List all Charge Sessions for an Entity
Returns the list of Charging Records for the Entity for the defined time frame.
GET
/
v1
/
entities
/
{entityId}
/
charge-sessions
List Charging Records
Authorizations
Access Token Authentication
Path Parameters
The id of the Entity
Query Parameters
The start of the time frame
The end of the time frame
The number of Charging Records per page
The token used to retrieve the next page
Was this page helpful?
⌘I